Videos
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1922715,
"results": [
{
"id": "636aa5780d1e7f007ac3a45c",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "oR_Jj9o9-Cw",
"name": "Making of Squid Game - Episode 1: Red Light, Green Light [ENG SUB]",
"official": true,
"published_at": "2022-06-03T09:00:24.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
}
]
}Videos
This endpoint get the videos of a TV episode.
GET
/
3
/
tv
/
{series_id}
/
season
/
{season_number}
/
episode
/
{episode_number}
/
videos
Videos
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
a uniques identifier for a tv serie
Example:
1
Example:
1
Query Parameters
filter the list results by language, supports more than one value by using a comma
Response
200 - application/json
Videos
Example:
1922715
Show child attributes
Show child attributes
Example:
[
{
"id": "636aa5780d1e7f007ac3a45c",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "oR_Jj9o9-Cw",
"name": "Making of Squid Game - Episode 1: Red Light, Green Light [ENG SUB]",
"official": true,
"published_at": "2022-06-03T09:00:24.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
}
]
⌘I